Ubuntu

gdm 2.26 has no graphical configuration tool

Reported by Laurens on 2009-07-03
368
This bug affects 69 people
Affects Status Importance Assigned to Milestone
gdm
Won't Fix
Low
gdm (Ubuntu)
Wishlist
Unassigned
Nominated for Lucid by komputes
Karmic
Wishlist
Ubuntu Desktop Bugs

Bug Description

Binary package hint: gdm

In Karmic the Login Window Preferences option from the GNOME System -> Preferences menu is missing. I'm no longer able to configure gdm graphically. Something I was able to do until recently and in Jaunty.
------------
The new gdm :
- discussion have started during the hardy uds 1.5 year ago
- the new gdm has been accepted upstream by GNOME and used for over a year in several other distributions
- the ubuntu team decided to wait on the change because of the known issues
- the new version was available since jaunty in the ubuntu-desktop ppa and call for testing have been made
- the change has been decided this cycle because karmic had technologies changes in view of the lts coming next cycle, it's better to use recent and maintainer codebases there
- the canonical desktop team spent time this cycle writing a gdmsetup tool and fixing several issues in the new gdm version
It's not perfect yet but is expected to be improved.
Thanks for your patience!
-------------
The changes are due to an upstream [Gnome] update , which was blocked in Ubuntu for 3 cycles .
 Any further discussions regarding lack of features can be discussed > https://bugzilla.gnome.org/show_bug.cgi?id=587750 or users can open new bugs regarding the missing features.

Max Bowsher (maxb) on 2009-07-03
summary: - Login Window Preferences missing
+ gdm 2.26 has no graphical configuration tool
tags: added: regression-potential
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, you will notice that it has been documented in the update changelog though, that's an upstream wishlist request

Changed in gdm (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
importance: Undecided → Wishlist
tags: removed: regression-potential
Laurens (laurensb) wrote :

I disagree with with setting this to priority Wishlist. Having a graphical configuration for the display manager may be a wish for a server distro, but it certainly is a requirement for Ubuntu. Also this definetly is a regression.

I agree with Laurens here. Users will definitely want to configure and/or theme their login window, if this feature is missing it will definitely be a regression because all the previous versions of Ubuntu had this feature.

Dean Loros (autocrosser) wrote :

This is a regression & will be looked upon very badly by the community at large & such as linux.com, slashdot-etc.....

Sebastien Bacher (seb128) wrote :

The new gdm version has been blocked for a year due to those consideration but things don't move if nobody is under some pressure to get the work done that's why the change is made in karmic which is a technology version change before the next lts, such comments about users who will complain is not really useful there you can stay on jaunty

Dean Loros (autocrosser) wrote :

Sebastien--I am just observing something that will come about & most likely very soon...I test to bring Ubuntu forward & am not complaining myself---I have commented in upstream bug reports & am trying to make the "problem" better---not worse.

Changed in gdm (Ubuntu):
status: New → Triaged
Sebastien Bacher (seb128) wrote :

you are stating something obviously known which was documented in the upload changelog for a reason anyway let's not discuss that and try to resolve the issue and make the new gdm suitable for everybody, what options do you think would be required out of the autologin and timed login settings?

Changed in gdm:
status: Unknown → New
Sebastien Bacher (seb128) wrote :

one sidenote about the community comments, the new version of gdm is shipped by GNOME for a year and by several linux distributions (opensuse, fedora, etc) too for some cycles and there has been not lot of comments about the issue

Dean Loros (autocrosser) wrote :

A very simple dialog that would allow lets say up to 30sec for time delay, choices as to who is default, autologin on/off (maybe a checkbox), facebrowser on/off (same comment) & maybe a background change (strictly a wish item)--I could mock something up if you would want....

Thank you
autocrosser

Dean Loros (autocrosser) wrote :

I guess that we forum users "tend" to be a vocal lot ;)

I thank you for working with this--perhaps those of us in the testing group are over-fond of custom-installs--I fear that I tend to fall into that heading.......

Dean Loros (autocrosser) wrote :

I upstreamed my comment as to the dialog--

Dean Loros (autocrosser) wrote :

Hi Sebastien---simple mockup for setting panel---minimal config settings--includes "wishlist" background changer.

I will also post upstream with this.

Ricardo Arrue (rarruec) wrote :

I think this option window was VERY useful, if the original gdm graphical configuration window is not compatible with new gdm, then at least it could be a new one simpler. But the original window has a lot of useful options like remote login, autologin, themes, etc... if the graphical tool exists i dont see why go back to configure gdm with terminal.
(sorry my english, my main language is spanish) Thanks.

It doesn't appear that setting automatic login manualy works either.

#/etc/gdm/gdm.conf
AutomaticLoginEnable=true
AutomaticLogin=jacob

Starfly (wupperbube) wrote :

What kind of strange shit this is ?! Sorry but iam so angry !!!!

I want to design my pc of my own... ubuntu was deciding for me, that i am not my superuser...okay...kick out.. but now the user itself should not be able to change his login screen ?!

Welcom to the perversation of Microsoft Windows... if this will be the future of Ubuntu, Fedora gets me back after 4 Years.

By the way the login screen is nerving me... i dont want to click around, to log into my account.. the previous red one was okay, name, password...runs... but now ?!

Is it to change manually back to the red one ?

Fedora has the same 'login screen' that you are hating now, and
unfortunately havent the configuration application neither, of course.
I dont hate the new gdm, the red one was beautiful, but i think that
we only must have patience since is a new version and we just have to
wait until it be polished.

2009/7/7, Starfly <email address hidden>:
> What kind of strange shit this is ?! Sorry but iam so angry !!!!
>
> I want to design my pc of my own... ubuntu was deciding for me, that i
> am not my superuser...okay...kick out.. but now the user itself should
> not be able to change his login screen ?!
>
> Welcom to the perversation of Microsoft Windows... if this will be the
> future of Ubuntu, Fedora gets me back after 4 Years.
>
> By the way the login screen is nerving me... i dont want to click
> around, to log into my account.. the previous red one was okay, name,
> password...runs... but now ?!
>
> Is it to change manually back to the red one ?
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
>

Starfly (wupperbube) wrote :

look, my problem is as follows :

Since 2 Years ive migrated my whole family to Ubuntu from Windows.. but since a year, after every update ive got to go home to home to tell them its going to be not so easy they think off...its getting complicated everywhere... my father, my mother, my uncle for example, they are all angry because to tick in all 2 clicks a password... and i think the "user friendly" system is going to be safer as ford nox...but not more any user friendlyness

And after 10 years of linux, ive thougt about (last week) to step back to Windows...because when i use linux, the Pc isnt any more my pc... i get restricted everywhere, and this really sucks me... and older people like my father etc. dont have the patience to search in the internet to make it more like he want it...

BACK TO TOPIC

Can someone tell me how to kick the "user list" and only giving names and password ?

It doesnt work in gconf-editor....when i deactivate "show users" the useres are still there ;)

i want to kick in the username by typing it directly, not clicking on sth., the look isnt any interest of me,
but i want to kick my name by my self in !

Fedora has got an idea, but it isnt working ( Expecting false or true, error while interpretin)

gconftool-2 --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults \\ --direct --type bool --set /apps/gdm/simple-greeter/disable_user_list true
Error: Fehler beim Interpretieren: »/apps/gdm/simple-greeter/disable_user_list« konnte nicht interpretiert werden (wahr oder falsch erwartet)

Sebastien Bacher (seb128) wrote :

those new comments are not really useful there, try using an user forum or the answer tracker for questions, note that the gdm doesn't restrict anything from you it's just a new codebase and it's being used by GNOME and fedora for a year ubuntu has been waiting for it to stabilize to start using it

Starfly (wupperbube) wrote :

Thats ok , but its a BUG that u cant deactivate the shown user names.... have u got a solution for it ?

Sebastien Bacher (seb128) wrote :

setting the gconf key should be working, trying running gconf-editor with the gdm user though

Claudio Moretti (flyingstar16) wrote :

Setting the gconf key does not work.
I checked the "disable_user_list" checkbox in apps -> gdm -> simple-greeter, but the only thing happened is that in the list I can't see the "sys" user anymore, but I keep seeing mine.
Also, when I log in, I get this error message: (attachment)

Starfly (wupperbube) wrote :

Here sth "Helpfull" :

sudo mv /usr/share/gdm/autostart/LoginWindow/metacity.desktop
/usr/share/gdm/autostart/LoginWindow/metacity.desktop.backup

Give it into a console and the popup error is gone, just till next kernel update, then u have to do the same...

Killing the usernames, works defenetly NOT, search google ;) we are not alone...

Claudio Moretti (flyingstar16) wrote :

Moving metacity.desktop sounds to me little dangerous.. I tried to look into its content to see if there was something about "saving current setup", but I didn't notice anything..
I'll keep the popup, for now.. It's just pressing "Esc" at login :P
(I learned a lot of things about moving system files while dealing with bubble notifications problems, and I'm trying not to move files, if I can avoid it).

BTW, my english is tricking me: with "Killing the usernames, works defenetly NOT, search google ;) we are not alone..." you mean that the gconf-editor trick to make usernames disappear works or does not work?

Sorry, I need to be sure :(

Starfly (wupperbube) wrote :

Yes thats it...

many people are talking about, that the user icons cant be set to "off" ...security...

the trick above works flawlessly 4 me

Claudio Moretti (flyingstar16) wrote :

But what about the "Killing the usernames, works defenetly NOT, search
google ;) we are not alone..."?
On your PC no usernames are shown if you tick the "disable_user_list"
checkbox?
On Tue, Jul 7, 2009 at 19:00, Starfly <email address hidden> wrote:

> Yes thats it...
>
> many people are talking about, that the user icons cant be set to "off"
> ...security...
>
> the trick above works flawlessly 4 me
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
>

Starfly (wupperbube) wrote :

Yes thats the bug, occuring today...same for other users...

If u check this box, or leave it blank...the summary is the same : The usernames are all shown in the Login

Benjamin Drung (bdrung) on 2009-07-08
tags: added: regression

I think the new GDM is more accessible and perhaps better at dealing with keyboard layouts and different locales, but a simple GUI tool as Dean Loros described should be implemented.

Now, the following is strictly wishlist, because I develop artwork for GNOME/Ubuntu, so it affects me and possibly other users:
The simple GUI should let you choose icon and GTK themes, as well as the background. If possible, something like installable metatheme files that simply specify the names of background/icon/gtk to be used would encourage the community to continue creating GDM themes as we've normally done until now.

gdm doesn't seem to respond to any of the file-based configurations I make
either. Isn't that a bigger issue than the lack of a GUI tool?

On Wed, Jul 8, 2009 at 6:28 PM, perfectska04 <email address hidden> wrote:

> I think the new GDM is more accessible and perhaps better at dealing
> with keyboard layouts and different locales, but a simple GUI tool as
> Dean Loros described should be implemented.
>
> Now, the following is strictly wishlist, because I develop artwork for
> GNOME/Ubuntu, so it affects me and possibly other users:
> The simple GUI should let you choose icon and GTK themes, as well as the
> background. If possible, something like installable metatheme files that
> simply specify the names of background/icon/gtk to be used would encourage
> the community to continue creating GDM themes as we've normally done until
> now.
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
>

Ricardo Arrue (rarruec) wrote :

I dont' want to overload of problems but what about the double login in the
new GDM?

2009/7/8 surlyjake <email address hidden>

> gdm doesn't seem to respond to any of the file-based configurations I make
> either. Isn't that a bigger issue than the lack of a GUI tool?
>
> On Wed, Jul 8, 2009 at 6:28 PM, perfectska04 <email address hidden>
> wrote:
>
> > I think the new GDM is more accessible and perhaps better at dealing
> > with keyboard layouts and different locales, but a simple GUI tool as
> > Dean Loros described should be implemented.
> >
> > Now, the following is strictly wishlist, because I develop artwork for
> > GNOME/Ubuntu, so it affects me and possibly other users:
> > The simple GUI should let you choose icon and GTK themes, as well as the
> > background. If possible, something like installable metatheme files that
> > simply specify the names of background/icon/gtk to be used would
> encourage
> > the community to continue creating GDM themes as we've normally done
> until
> > now.
> >
> > --
> > gdm 2.26 has no graphical configuration tool
> > https://bugs.launchpad.net/bugs/395299
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
> > Status in GDM: The Gnome Display Manager: New
> > Status in “gdm” package in Ubuntu: Triaged
> >
> > Bug description:
> > Binary package hint: gdm
> >
> > In Karmic the Login Window Preferences option from the GNOME System ->
> > Preferences menu is missing. I'm no longer able to configure gdm
> > graphically. Something I was able to do until recently and in Jaunty.
> >
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
>

Claudio Moretti (flyingstar16) wrote :

What do you mean by "double login"?

On Thu, Jul 9, 2009 at 06:09, Ricardo Arrue <email address hidden> wrote:

> I dont' want to overload of problems but what about the double login in the
> new GDM?
>
> 2009/7/8 surlyjake <email address hidden>
>
> > gdm doesn't seem to respond to any of the file-based configurations I
> make
> > either. Isn't that a bigger issue than the lack of a GUI tool?
> >
> > On Wed, Jul 8, 2009 at 6:28 PM, perfectska04 <email address hidden>
> > wrote:
> >
> > > I think the new GDM is more accessible and perhaps better at dealing
> > > with keyboard layouts and different locales, but a simple GUI tool as
> > > Dean Loros described should be implemented.
> > >
> > > Now, the following is strictly wishlist, because I develop artwork for
> > > GNOME/Ubuntu, so it affects me and possibly other users:
> > > The simple GUI should let you choose icon and GTK themes, as well as
> the
> > > background. If possible, something like installable metatheme files
> that
> > > simply specify the names of background/icon/gtk to be used would
> > encourage
> > > the community to continue creating GDM themes as we've normally done
> > until
> > > now.
> > >
> > > --
> > > gdm 2.26 has no graphical configuration tool
> > > https://bugs.launchpad.net/bugs/395299
> > > You received this bug notification because you are a direct subscriber
> > > of a duplicate bug.
> > >
> > > Status in GDM: The Gnome Display Manager: New
> > > Status in “gdm” package in Ubuntu: Triaged
> > >
> > > Bug description:
> > > Binary package hint: gdm
> > >
> > > In Karmic the Login Window Preferences option from the GNOME System ->
> > > Preferences menu is missing. I'm no longer able to configure gdm
> > > graphically. Something I was able to do until recently and in Jaunty.
> > >
> >
> > --
> > gdm 2.26 has no graphical configuration tool
> > https://bugs.launchpad.net/bugs/395299
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in GDM: The Gnome Display Manager: New
> > Status in “gdm” package in Ubuntu: Triaged
> >
> > Bug description:
> > Binary package hint: gdm
> >
> > In Karmic the Login Window Preferences option from the GNOME System ->
> > Preferences menu is missing. I'm no longer able to configure gdm
> > graphically. Something I was able to do until recently and in Jaunty.
> >
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
>

Sebastien Bacher (seb128) wrote :

could users stop adding comments there? the bug tracker is not an user forum and the issue has been clearly confirmed those new comments don't bring anything useful toward getting the change in karmic

tags: removed: regression
Claudio Moretti (flyingstar16) wrote :

User must stop pointing out bugs in gdm?

Dennis Craven (dcraven) wrote :

I think what Sebastien is saying (if I may), is that the bug has already been pointed out, and confirmed. Continued discussion of the flavour currently seen in the latter half of this bug report is unnecessary noise and does not contribute to the resolution of the bug itself. In fact, it is more likely a distraction for the developers tasked with resolving the issue. Chat like this is better suited to other mediums like the community forum. Thanks.

Dave Stroud (bigdavesr) wrote :

Why not use the older version of gdm until this one is ready?

Sebastien Bacher (seb128) wrote :

> Why not use the older version of gdm until this one is ready?

That's what has been done for 3 cycles now and the new version is ready enough now to land in an unstable version now, the extra work will be done during this cycle, you are not forced to use an unstable distribution if you don't want to run one

Sebastien Bacher Wrote:

That's what has been done for 3 cycles now and the new version is ready enough now to land in an unstable version now, the extra work will be done during this cycle, you are not forced to use an unstable distribution if you don't want to run one

I agree whole heartedly. This is a development branch release and also don't think that people bitching about a feature, that while, yes it is important, it is not there, and it is a regression to the overall "advancement" to the distro. I think what people are forgetting is that this is a Technology preview and THINGS WILL BE MISSING. Like you said. if you don't like don't use it.

Just my two cents worth.

Matt

Martin Pitt (pitti) wrote :
Changed in gdm (Ubuntu Karmic):
importance: Wishlist → Medium
assignee: Ubuntu Desktop Bugs (desktop-bugs) → Robert Ancell (robert-ancell)
importance: Medium → Wishlist

What about other features of gdmconfig like allowing remote X and configuring xdmcp. Are there alternative guis for configuring these? I know they're important to me, does anyone else feel these should be included in the plans for the new tool?
Sorry in advance if I'm posting this in the wrong place, I'm still learning the ropes.

Ricardo Arrue (rarruec) wrote :

Would be too difficult only use the same window that old gnome?, could
be with less options by now

2009/7/24, Tumble <email address hidden>:
> What about other features of gdmconfig like allowing remote X and
> configuring xdmcp. Are there alternative guis for configuring these? I know
> they're important to me, does anyone else feel these should be included in
> the plans for the new tool?
> Sorry in advance if I'm posting this in the wrong place, I'm still learning
> the ropes.
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Triaged
> Status in gdm in Ubuntu Karmic: Triaged
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
>

Pako (elektrobank01) wrote :

The last surprise either was disabling Ctrl+Alt+Backspace feature, now this. Does it comes to the security problem? I don't think so.

Robert Ancell (robert-ancell) wrote :

Added a basic gdmsetup tool:
lp:~ubuntu-desktop/gdm/ubuntu

Changed in gdm (Ubuntu Karmic):
status: Triaged → In Progress
assignee: Robert Ancell (robert-ancell) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdm - 2.27.4-0ubuntu7

---------------
gdm (2.27.4-0ubuntu7) karmic; urgency=low

  * debian/patches/08_use_polkit_for_settings.patch:
    - Use PolicyKit for GDM settings
  * debian/patches/09_gdmsetup.patch:
    - Provide a setup tool for basic configuration (LP: #395299)
  * debian/patches/10_xsplash.patch:
    - Load xsplash on login
  * debian/patches/99_autoreconf.patch:
    - Updated

 -- Robert Ancell <email address hidden> Fri, 07 Aug 2009 09:23:21 +0100

Changed in gdm (Ubuntu Karmic):
status: In Progress → Fix Released
Nate Wiebe (natew) wrote :

I have the new config tool. Shouldn't you be able to customize the appearance? The only options it gives is the ability to login automatically or to login manually. Is this gdmsetup just temporary, or is this what we are getting as final product?

Dave Stroud (bigdavesr) wrote :

I checked with gnome bugs and they are working on this upstream.bug # 587750 in bugzilla.

Jack Deslippe (jdeslip) wrote :

Agreed. The new tool is better than nothing. But I (and I am guessing many users will really want) is a way to get rid of the ugly grey box. It looks like it came from Windows 95. We went from a really sexy login screen in 9.04 to a super ugly one in 9.10. I think more options should be added to the new gdmsetup before we really claim "Fix released" in the status of this bug.

Dean Loros (autocrosser) wrote :

Thank you for the tool Robert--I do have a problem, the tool will not "unlock"--this is a "fresh" install of Karmic Alpha3 with all updates as of Aug 7, 2009 6PM Pacific--sync with the main server.

Terminal output as follows:

dean@linux:~/Desktop$ gdmsetup

** (gdmsetup:17045): WARNING **: Error calling GetValue('daemon/TimedLoginDelay'): Key not found
** (gdmsetup:17045): DEBUG: init delay=30
** (gdmsetup:17045): DEBUG: GdmUserManager: skipping shell /bin/false
** (gdmsetup:17045): DEBUG: GdmUserManager: Found current seat: /org/freedesktop/ConsoleKit/Seat1
** (gdmsetup:17045): DEBUG: GdmUserManager: running 'ck-history --frequent --seat='Seat1' --session-type='''
** (gdmsetup:17045): DEBUG: GdmUserManager: explicitly skipping user: nobody
** (gdmsetup:17045): DEBUG: GdmUserManager: user icon changed
** (gdmsetup:17045): DEBUG: adding monitor for '/home/autocrosser/.face'
** (gdmsetup:17045): DEBUG: GdmUserManager: user icon changed
** (gdmsetup:17045): DEBUG: adding monitor for '/home/dean/.face'
** (gdmsetup:17045): DEBUG: Getting list of sessions for user 1001
** (gdmsetup:17045): DEBUG: Found 1 sessions for user dean
** (gdmsetup:17045): DEBUG: GdmUser: adding session /org/freedesktop/ConsoleKit/Session2
** (gdmsetup:17045): DEBUG: GdmUserManager: sessions changed user=dean num=1
** (gdmsetup:17045): DEBUG: GdmUserManager: added session for user: dean
** (gdmsetup:17045): DEBUG: Getting list of sessions for user 1000
** (gdmsetup:17045): DEBUG: Found 0 sessions for user autocrosser
** (gdmsetup:17045): DEBUG: GdmUserManager: history output: root 78

** (gdmsetup:17045): DEBUG: GdmUserManager: excluding user 'root'
** (gdmsetup:17045): DEBUG: GdmUserManager: history output: dean 12

** (gdmsetup:17045): DEBUG: GdmUserManager: history output: autocros 6

** (gdmsetup:17045): DEBUG: GdmUserManager: unable to lookup user 'autocros'
** (gdmsetup:17045): DEBUG: Login freq 1=12 2=0

** (gdmsetup:17045): WARNING **: Error calling GetValue('daemon/AutomaticLoginEnable'): Key not found
** (gdmsetup:17045): DEBUG: init user='dean' auto=True

** (gdmsetup:17045): WARNING **: Failed to unlock: Method "Unlock" with signature "" on interface "org.gnome.DisplayManager.Settings" doesn't exist

** (gdmsetup:17045): WARNING **: Failed to unlock: Method "Unlock" with signature "" on interface "org.gnome.DisplayManager.Settings" doesn't exist

Wayne Cat (exchange) wrote :

I get the almost the same error as Dean Loros ... but my gdmsetup dies with a segmentation fault.

See attached file

-

Martin (agima) wrote :

I get a segfault too in the strcmp call in gdmsetup.c:323 because user is a NULL pointer in my case.

Wayne Cat (exchange) wrote :

gdmsetup does not crash anymore ... one of the updates has fixed this problem on my system

Sebastien Bacher (seb128) wrote :

Could people having different issues open new bugs? ie gdmsetup crashing is a new issue and not a request to get the tool added now

Sebastien Bacher (seb128) wrote :

> I think more options should be added to the new gdmsetup before we really claim "Fix released" in the status of this bug.

Did you read the bug before commenting ? What option do you think should be added exactly ? The GNOME rewrite doesn't allow to set themes but just a gtk theme and a background image, the ubuntu desktop team will work on making the screen looks nicer before karmic though

manzur (sl-solaris) wrote :

I think it should just have the necessary option, like: changing the background, login as, login after ... minutes, login automatically, and that should be it, not to much because it becomes in a low performance tool, things should just have what is necessary to have, I would not like to be able to change too much stuff like changing the colour of the login square and stuffs like that, which are pointless, so please don't be pointless, and we are going to be a very stable Operating System over any other

Pako (elektrobank01) wrote :

manzur, I agree

Claudio Moretti (flyingstar16) wrote :

Can't it be merged from the same app that was in Jaunty and older?

On Mon, Aug 17, 2009 at 19:30, Pako <email address hidden> wrote:

> manzur, I agree
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Fix Released
> Status in gdm in Ubuntu Karmic: Fix Released
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
>

Robert Ancell (robert-ancell) wrote :

Claudio, the old GDM setup tool and GDM are very different to the new versions and so the old code cannot be used.

As requested by Seb please open new bugs for new features in this tool. This bug is titled "gdm 2.26 has no graphical configuration tool". The Karmic GDM now has a configuration tool therefore this bug is resolved. You may want to open new bugs like "Not able to configure GDM theme".

Robert Ancell (robert-ancell) wrote :

I have fixed the gdmsetup crash (caused when no gdm autologin configuration present) and this will be in the 2.27.90 release. Note that gdmsetup does not work with the old GDM so it will not work until your system has been restarted after an upgrade from 2.20.

Claudio Moretti (flyingstar16) wrote :

What I meant was (and remember that I have never put an eye in GDM code)
that if we can use he old configuration tool graphics as a base for building
the ew configuration tool, it would help users in understanding how to work
with the config tool.
What worries me is the fact that if old GDM and new GDM are not compatible
even in the config tool, there will be a not-so-small problem in porting GDM
login screens, etc.
I saw my custom login screens disappear one day after an uprade, replaced by
the standard GDM login screen; that worried me.
BTW, I had reported it as a new bug (bug #395770), but it was marked as a
duplicate of this...

On Tue, Aug 25, 2009 at 08:45, Robert Ancell <email address hidden>wrote:

> I have fixed the gdmsetup crash (caused when no gdm autologin
> configuration present) and this will be in the 2.27.90 release. Note
> that gdmsetup does not work with the old GDM so it will not work until
> your system has been restarted after an upgrade from 2.20.
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Fix Released
> Status in gdm in Ubuntu Karmic: Fix Released
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
>

Naxa (anaxagramma) wrote :

my themes are also gone, i feel it very bad that they are not compatible. there should be a tool to convert them. i hand-picked ~50 gdm themes what i like and had them randomly come up. it really made me happy when i was sad it was a good surprise. also i was happy i can use my computer _my way_ (not like in windows). sorry but this was a reason to choose ubuntu and now it's gone - new gdm needs some workaround to be more themeable, i would prefer a tool what could convert old themes to new ones.

Couldn't we fix this by letting the user set the Appearance preferences
of user gdm in the same fashion of that under Preferences? I don't know
whether it's doable or a good idea in general to do it this way, just a
thought.

emarkay (mrk) wrote :

"The Karmic GDM now has a configuration tool therefore this bug is resolved" - I don't see the same level of configurability as of today, as there was in Jaunty. I also object to this.

See: http://ubuntuforums.org/showthread.php?t=1284681

Another mildly related issue is configuring of if the username is automatically entered on login:
http://ubuntuforums.org/showthread.php?t=1287054

frizzle21 (frederik-nnaji) wrote :

why all this minimalism all of a sudden?
what happened to the gdm configuration app?

On Sat, Oct 10, 2009 at 00:35, emarkay <email address hidden> wrote:

> "The Karmic GDM now has a configuration tool therefore this bug is
> resolved" - I don't see the same level of configurability as of today,
> as there was in Jaunty. I also object to this.
>
> See: http://ubuntuforums.org/showthread.php?t=1284681
>
> Another mildly related issue is configuring of if the username is
> automatically entered on login:
> http://ubuntuforums.org/showthread.php?t=1287054
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Fix Released
> Status in gdm in Ubuntu Karmic: Fix Released
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
>

Thorsten Gross (mydragon) wrote :

I am a Linux-Trainer and use to show my students how to configure Linux. I just can't believe that a new release is pushing Linux-Newbies to the terminal for such a simple thing as the configuration of the login screen. Why??
If Linux is supposed to become more like Windows, it is on a bad way. The strength of this OS is among others the fact that you can change it easily the way you want to - isn't it?
Why isn't it possible to chose whether the username is shown or not?
It seems to be a regression for me so I agree with some others here before me. :-(

Pako (elektrobank01) wrote :

How can you change the gdm or whatever is called in Windows? The only thing
you can change in windows is wallpaper

MDCollier (michael-d-collier) wrote :

That's the attitude, Pako! Ubuntu is cryptic, but worth the effort because Windows is so inferior. We need to vote you the official spokesperson of bringing Ubuntu to the masses!

Scott Lewin (sclewin) wrote :

Thorsten Gross wrote:
> I am a Linux-Trainer and use to show my students how to configure Linux. I just can't believe that a new release is pushing Linux-Newbies to the terminal for such a simple thing as the configuration of the login screen. Why??
> If Linux is supposed to become more like Windows, it is on a bad way. The strength of this OS is among others the fact that you can change it easily the way you want to - isn't it?
> Why isn't it possible to chose whether the username is shown or not?
> It seems to be a regression for me so I agree with some others here before me. :-(
>
Thorsten does have a point. This is a regression in usability and will
be more difficult on the new user and if Ubuntu is to compete toe to toe
with Windows and Mac it needs to be user friendly.

Pako (elektrobank01) wrote :

I can't see the Thorsten or anyone point since there is no option to change
the gdm in windows and mac too and why would you like to change the gdm
anyways? is it ugly? everyone who thinks that gdm in karmic is ugly, fill a
new bug and allow close this bug.

Vish (vish) wrote :

Did anyone commenting on this closed[fix released] bug, even care to read the comments before them?

This is not a change done by "Ubuntu" , this is an upstream update which has been postponed for 3 releases. Any further discussions can be done on the upstream bug , regarding the lack of features. Or kindly open a new bug.

Vish (vish) on 2009-10-24
description: updated
joewski (joewski) wrote :

The change in gdmsetup has created a serious bug in 9.10 that was not present in 9.04.

Basically when I did an upgrade from 9.04 to 9.10 instead of having the ubuntu login I ended up with the xubuntu login screen.
Now since the gdmsetup has changed there is no way to correct the problem.

I understand the need for making the desktop easy to use, but this dumbing down is stupid.

Mark W (jedimark64) wrote :

Who thinks up this crazy ideas? Pushing unfinished crap on users is the stupid.

Ok, gdm needs to advance, but what was wrong with the usual migrationary process of calling this new package gdm2 and installing that by default to encourage migration, but keeping the old (working!) gdm1 in the repositories for those who can't stand to lose the other features? This has worked for Grub, and tons of other packages..

I'm slowly getting turned from ubuntu (which I've been both using and advocating for years). With each release comes stupid regressions that are wrought with politics and madness.

Please, consult (& listen) the USERS, not just the DEVELOPERS when making major changes like this.. A little democracy wouldn't hurt here and there..

Brian Rogers (brian-rogers) wrote :

This is something Gnome did, not Ubuntu devs. And I'm not really sure how feasible it would be to preserve an older version of gdm. It'd be an extra package to support, for one. If it needed an older version of the Gnome libraries, things would quickly get problematic.

Sebastien Bacher (seb128) wrote :

> Who thinks up this crazy ideas?

Hi,

Could you stay correct and respect people doing work for free there on softwares you are can decide to use or not?
It's also judged polite to subscribe to bugs you comment on so you get to read replies to waht you wrote

The new gdm has been:
- discussion have started during the hardy uds 1.5 year ago
- the new gdm has been accepted upstream by GNOME and used for over a year in several other distributions
- the ubuntu team decided to wait on the change because of the known issues
- the new version was available since jaunty in the ubuntu-desktop ppa and call for testing have been made
- the change has been decided this cycle because karmic had technologies changes in view of the lts coming next cycle, it's better to use recent and maintainer codebases there
- the canonical desktop team spent time this cycle writing a gdmsetup tool and fixing several issues in the new gdm version

You can't really blame the ubuntu team to hurrying this change there or not spending efforts on the transition, it's not perfect yet but is expected to be better for the coming lts version

Wes Garner (wesgarner) wrote :

unsubscribe

On Tue, Nov 3, 2009 at 9:18 AM, Sebastien Bacher <email address hidden> wrote:

> > Who thinks up this crazy ideas?
>
> Hi,
>
> Could you stay correct and respect people doing work for free there on
> softwares you are can decide to use or not?
> It's also judged polite to subscribe to bugs you comment on so you get to
> read replies to waht you wrote
>
> The new gdm has been:
> - discussion have started during the hardy uds 1.5 year ago
> - the new gdm has been accepted upstream by GNOME and used for over a year
> in several other distributions
> - the ubuntu team decided to wait on the change because of the known issues
> - the new version was available since jaunty in the ubuntu-desktop ppa and
> call for testing have been made
> - the change has been decided this cycle because karmic had technologies
> changes in view of the lts coming next cycle, it's better to use recent and
> maintainer codebases there
> - the canonical desktop team spent time this cycle writing a gdmsetup tool
> and fixing several issues in the new gdm version
>
> You can't really blame the ubuntu team to hurrying this change there or
> not spending efforts on the transition, it's not perfect yet but is
> expected to be better for the coming lts version
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Fix Released
> Status in gdm in Ubuntu Karmic: Fix Released
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
> -------------
> The changes are due to an upstream [Gnome] update , which was blocked in
> Ubuntu for 3 cycles .
> Any further discussions regarding lack of features can be discussed >
> https://bugzilla.gnome.org/show_bug.cgi?id=587750 or users can open new
> bugs regarding the missing features.
>

--
Wes Garner
<email address hidden>
Phone: 205-202-0021
Fax: 205-956-0616

Vish (vish) on 2009-11-03
description: updated
Mark W (jedimark64) wrote :

I (really, honestly!) mean no disrespect, but dev's please take a step back and re-focus - don't take this stuff too personally.. I am a developer too, and I work on free software. I've dealt with my fair share of frustrated (and somewhat ungrateful) users.
It just appears that the Canonical desktop team doesn't fully appreciate how much trouble regressions like these are causing users.

Well, the new gdm is plainly not quite ready for production use. Despite how awesome it is, and how long it's been percolating, shouldn't it still be in a PPA, not in a much-hyped mainstream release.

Ubuntu users are being used a little too much as guinea-pigs lately. This isn't necessarily wrong, but a "technology preview" warning would be nice, as opposed to the over-hyped countdown to these lesser sub releases, compelling distro-junkies (like me:) to upgrade. It would of course be nicer if LTS declarations of stable came around a little more often (they sort of get outdated real fast), and it was well advertised that all the 6 monthly's were technically beta release's (which they kinda are).

Anyway, has anyone tried gdm-2.20 legacy? I'm assuming thats the previous->previous generation?
I haven't yet been game to install it, as I've spent too many frustrating hours dealing with lots of other karmic upgrade issues.
If it works, it would still be necessary to backport the Login screen component.

Sebastien Bacher (seb128) wrote :

The comments you added are not really constructive, what issues especially make you think that the new gdm is not suitable to use

Dave Stroud (bigdavesr) wrote :

All a person needs to do is subscribe to gnome bugzilla. There is information on the gdm issue. I opened a wish list on it and they have keep me informed every day. They are working on this problem. I subscribed to gnome bug mailing list and and today I have 314 emails in my inbox. It will get better. I still use 9.04 as well as 9.10.

joewski (joewski) wrote :

quote>what issues especially make you think that the new gdm is not suitable to use<

I wouldn't be complaining if a tool had been built to configure the login screen that was called something else. However there isn't even a command line solution to this configuration issue.

It plain and simple the upgrade did not go as described or planned, resulting in a bug which unfortunately incorrectly displays the incorrect login screen. Until there is a solution this will remain a bug, doesn't matter who made what decision, or who's fault it is. Its a naked, for all to see bug, and that it.

Mark W (jedimark64) wrote :

Sebastian, please lighten up. I'm sorry to have to say this, but you have created more negativity than others regarding this issue by pushing down legitimate complaints.

* Rushing this version of GDM was a bad idea. *

GDM is an important package: It's (usually) the first user interactive component a Ubuntu user is greeted with after BIOS/Grub. Take a look at LinuxMint 7. They nailed it, the boot to login process is beautiful all the way. New users can't wait to see what's next.. Even though it's basically just Ubuntu with a (very) pretty desktop theme.

Anyway, the obvious lack of configurability with GDM noted here is just one problem...

1. XDMCP -> Some of us actually use thin-clients.
2. Security: Let's face it, users are more likely to stuff it up when configuring manually.
3. The default is just plain ugly and should never have been approved. Sorry, but black on brown sucks.
4. Being slowed down and forced to click on a name in an ugly userlist is counter-intuative to useability.

During the upgrade process, Insufficient migrationary stuff was done with the config files.. It should have been automatic at least regarding the settings that do have a counterpart in the new configuration.

Okay, individual bugs could be created for each of these issues and perhaps more constructively dealt with, but the real problem here appears to be a little inflexibility of the human kind..

Download full text (4.0 KiB)

I've been sick seeing this mail updated every day with such purposes, kind
of "humiliation of the man kind" or "big bug" .. and this is really for
what?? for new GDM that lacks a "config tool", 'im I wrong?
I really like the new way, the new colors theme and "my favourite theme".And
who doesn't appreciate, can simply contact the GNOME team, since it's
related to that project not the ubuntu one. And PLEASE let's try to fix
"Real Bugs"
I appreciate to be not miss understood. Fanks all.

2009/11/4 Mark W <email address hidden>

> Sebastian, please lighten up. I'm sorry to have to say this, but you
> have created more negativity than others regarding this issue by pushing
> down legitimate complaints.
>
> * Rushing this version of GDM was a bad idea. *
>
> GDM is an important package: It's (usually) the first user interactive
> component a Ubuntu user is greeted with after BIOS/Grub. Take a look at
> LinuxMint 7. They nailed it, the boot to login process is beautiful all
> the way. New users can't wait to see what's next.. Even though it's
> basically just Ubuntu with a (very) pretty desktop theme.
>
> Anyway, the obvious lack of configurability with GDM noted here is just
> one problem...
>
> 1. XDMCP -> Some of us actually use thin-clients.
> 2. Security: Let's face it, users are more likely to stuff it up when
> configuring manually.
> 3. The default is just plain ugly and should never have been approved.
> Sorry, but black on brown sucks.
> 4. Being slowed down and forced to click on a name in an ugly userlist is
> counter-intuative to useability.
>
> During the upgrade process, Insufficient migrationary stuff was done
> with the config files.. It should have been automatic at least regarding
> the settings that do have a counterpart in the new configuration.
>
> Okay, individual bugs could be created for each of these issues and
> perhaps more constructively dealt with, but the real problem here
> appears to be a little inflexibility of the human kind..
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a member of Sabily
> Team, which is a direct subscriber.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Fix Released
> Status in gdm in Ubuntu Karmic: Fix Released
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
> ------------
> The new gdm :
> - discussion have started during the hardy uds 1.5 year ago
> - the new gdm has been accepted upstream by GNOME and used for over a year
> in several other distributions
> - the ubuntu team decided to wait on the change because of the known issues
> - the new version was available since jaunty in the ubuntu-desktop ppa and
> call for testing have been made
> - the change has been decided this cycle because karmic had technologies
> changes in view of the lts coming next cycle, it's better to use recent and
> maintainer codebases there
> - the canonical deskt...

Read more...

Sebastien Bacher (seb128) wrote :

Stating over and over that the update was rushed will not make it be true see previous comments, you would have prefered the switch to happen during the lts cycle so there was no room for comments and changes? Letting the lts on non maintained technologies was not an option

Quick reply to your point though and I will stop there: xdmcp is a known issue and will be worked, security is a false argument you don't have to tweak settings or describe specific need, we plan to add option to change sound, theme and user list during the next cycle, default theme and color is a matter of taste and the userlist being counter-intuitive should be easy to fix, if those are you only complain we are in good shape to get things on track for the lts which was the plan there, you can keep using jaunty if you prefer, karmic has been meant to be a technology changes versions before the lts coming in lucid

@Mark W. To maintain a respectful atmosphere, please follow the code of
conduct - http://www.ubuntu.com/community/conduct/ .

On Wed, 2009-11-04 at 01:20 +0000, Mark W wrote:
> Sebastian, please lighten up. I'm sorry to have to say this, but you
> have created more negativity than others regarding this issue by pushing
> down legitimate complaints.
>

You seem to not have understood , what this bug report is for...
Previously there was no menu item System> Administration>Login Screen
That is the graphical tool that was fixed by this bug.

Previously even those basic configurations werent available.
And that was added by the Ubuntu desktop team [FYI , Sebastien is part
of the Desktop team]

> * Rushing this version of GDM was a bad idea. *

As already mentioned there was *no* rushing! this has been *not* used
for 1.5 yrs.
>
> GDM is an important package: It's (usually) the first user interactive
> component a Ubuntu user is greeted with after BIOS/Grub. Take a look at
> LinuxMint 7. They nailed it, the boot to login process is beautiful all
> the way. New users can't wait to see what's next.. Even though it's
> basically just Ubuntu with a (very) pretty desktop theme.

BTW, Does LinutMint have a graphical tool for this latest version of
gdm? NO! So even their gdm wouldnt be easily configurable.

As you previously said : " distro-junkies (like me:) " are bound to face
new changes.
If such users want to use the latest version there are bound to face
such side-effects...
If they wanted to use the older version, they could might as well stick
with 9.04 which has all the features they want.

> 2. Security: Let's face it, users are more likely to stuff it up when configuring manually.

What security? either way these are separate bugs about any missing
features.

> 3. The default is just plain ugly and should never have been approved. Sorry, but black on brown sucks.
> 4. Being slowed down and forced to click on a name in an ugly userlist is counter-intuative to useability.
>

Beauty is subjective , and such comments are really not constructive.

BTW , what does a user really do at the login screen? If it is ugly why
do you keep staying at the login screen ;) ... just start your session
and move on... :)

If you had such strong sentiments you could have participated in the
discussions during development phase.

The appropriate place for such discussions is *not* this bug report ,
but rather in these mailing lists:
https://lists.ubuntu.com/mailman/listinfo/ubuntu-art
https://lists.ubuntu.com/mailman/listinfo/ubuntu-desktop

Oh I see, we should rename this bug like "I want my PC look Like a Christmas
tree"

Mark W (jedimark64) wrote :

I'm truly sorry. I certainly didn't have the intention to stir you all up so much, I've apparently touched on a well conflicted issue that I, as merely a user, should of kept my stupid little opinion out of.

I didn't see anywhere that this well advertised version was meant to be a technology preview, I certainly didn't realize that it was so well known. I'll certainly do a little digging in the fine print before upgrading next time.

I'll leave you all to your good work.

Sebastien Bacher (seb128) wrote :

the version is not a technology preview only and is expected to work fine for normal users but's not a lts and some work has been done in view of the coming lts version

D Becker (dmitrinbecker) wrote :

FWIW, gnome-appearance-properties and gconf-editor both work for changing settings, as long as they are run as user gdm and an instance of gconfd-2 is running for gdm (which happens while the gdm screen is up, but not after login). So if you log out to the gdm screen, log in on a text console, export DISPLAY=:0.0, then run whichever of them with sudo -u gdm, then switch back to X on tty7, it's somewhat configurable graphically (though that's quite a hassle).

komputes (komputes) wrote :

Launchpad Janitor incorrectly marked this as Fix Released, because there was work done on it.

Patch - Provide a setup tool for basic configuration

Basic configuration is one thing, but it does not bring back all the features which were removed from gdmsetup until then this bug will not be fixed.

Naturally we will have to be patient while gdmsetup is rewritten, and there are workarounds such as using another Desktop Manager.

komputes (komputes) wrote :

These are the missing features, please have developers go through each one and either set a goal to re-implement it or a reason for not implementing it in gdmsetup:

# Install/Change the GDM Theme
# Change the GDM welcome message
# Turn on remote login
# Allow TCP logins to Xserver
# Enable multiple logins for a single user (used for concurrent VNC)
# Change login sounds
# Remove Shutdown/Reboot option form actions menu

Changed in gdm (Ubuntu):
status: Fix Released → In Progress
Changed in gdm (Ubuntu Karmic):
status: Fix Released → In Progress
komputes (komputes) wrote :

The status of this bug may be changed back to whatever the maintainers of gdm think is appropriate, but please have an individual do it and please read below first.

I do not see a reason to have a different status in this bug then in the upstream bug (which is currently set at NEW). This bug affects many Ubuntu users and should not be closed so quickly simply because a 2 option radio button utility was created to fill an urgent need.

As I do not want to seem negative concerning the matter and I would like to be constructive and help others, as you have requested, Sebastien, one (or more) bug report(s) for each feature that was lost by moving over to the new gdmsetup in karmic, they can be found below (contact me if I have missed any features):

# Install/Change the GDM Theme
 # https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/449198
 # https://bugs.launchpad.net/ubuntu/+source/blubuntu-look/+bug/442408

# Change the GDM welcome message
 # https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/498431

# Turn on remote login (XDMCP)
 # https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/408417

# Allow TCP logins to Xserver
 # https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/498434

# Enable multiple logins for a single user (used for concurrent VNC)
 # https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/498435

# Change login sounds
 # https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/437429

# Remove Shutdown/Reboot option form actions menu
 # https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/498436

That being said, I think this bug should depend on all these other bugs coming to a resolution. Sebastien, please feel free contact me so that we may discuss the future of these issues.

Other people who are having these issues, please restrain from commenting on this bug and go to the individual issue which affects you above and mark it as affecting you by clicking on "This bug affects # people. Does this bug affect you?" (You must be logged into launchpad to see this).

Thank you for your time.

Sebastien Bacher (seb128) wrote :

don't reopen closed bugs, this issue is fixed now and new bugs are open for specific options

Changed in gdm (Ubuntu):
status: In Progress → Fix Released
DudeAlfred (dudealfred) wrote :

I want the gdm config back too! And the possibility to enable Xdmcp from gdm, and to be able to login from there too!
hate the new Xsplash.....

komputes (komputes) wrote :

It;s not looking like the old option-rich gdm will be back.

For the use cases where you need to tweak GDM I have two options

1) Configure it via text config file - options are explained here: http://library.gnome.org/admin/gdm/2.28/configuration.html.en#daemonconfig

2) Try the GDM2 Configuration Tool started by the community - seen here: http://ubuntuforums.org/showthread.php?p=8518160

Hope that helps.

Sebastien Bacher (seb128) wrote :

closing the bug again since it was wrongly reopen...

Changed in gdm (Ubuntu Karmic):
status: In Progress → Fix Released
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
Growlf (growlf) wrote :

Existing solution information: https://launchpad.net/gdm2setup
and Question link: https://answers.launchpad.net/ubuntu/+question/100600

Please direct us where to go / what to do to more properly offer this as an "actuality" for Lucid (or even the current Karmic)?

Sebastien Bacher (seb128) wrote :

Thank you for your work on that. Why not contributing improving the official ubuntu team rather than writting a new one though?

Sebastien Bacher (seb128) wrote :

the official ubuntu "tool" rather...

David Robert Lewis (afrodeity) wrote :

All this security is a real hassle. Just as I was beginning to love the new GDM, after discovering how to change the background, I foolishly installed some tool claiming to be the answer to GDM2 configuration. Result is I have a frozen GDM greeter, which refuses to show user password entry box. It just freezes except for the disability panel. I have tried reinstalling several times. I have also tried deleting the usr/share/gdm folder. To no avail. About to tear out the remains of my hair over this. Please, some solution for reinstalling GDM and bypassing all the aweful Windows-like security.

Download full text (3.2 KiB)

Try purging the gdm2 configuration tool via
sudo apt-get purge packagename
or, if it doesn't work
sudo dpkg -P packagename

If you installed it from the repos or a .deb package, it should remove it.
Then do a
sudo apt-get --purge autoremove
and
sudo apt-get clean

which will remove all packages that have been downloaded from apt (the apt
package cache) and, finally execute

sudo apt-get --reinstall install gdm

If the problem was the gdm2 manager it should be gone.

in EVERY step of this procedure, particularly at the autoremove, pay
attention to the packages that are removed. if you notice some programs
and/or libraries you think must stay there, or see a huge list of packages
that are going to be removed, abort; your system shouldn't be affected, if
you do so.

On Tue, Mar 9, 2010 at 22:15, David Robert Lewis <email address hidden>wrote:

> All this security is a real hassle. Just as I was beginning to love the
> new GDM, after discovering how to change the background, I foolishly
> installed some tool claiming to be the answer to GDM2 configuration.
> Result is I have a frozen GDM greeter, which refuses to show user
> password entry box. It just freezes except for the disability panel. I
> have tried reinstalling several times. I have also tried deleting the
> usr/share/gdm folder. To no avail. About to tear out the remains of my
> hair over this. Please, some solution for reinstalling GDM and bypassing
> all the aweful Windows-like security.
>
> --
> gdm 2.26 has no graphical configuration tool
> https://bugs.launchpad.net/bugs/395299
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GDM: The Gnome Display Manager: New
> Status in “gdm” package in Ubuntu: Fix Released
> Status in “gdm” source package in Karmic: Fix Released
>
> Bug description:
> Binary package hint: gdm
>
> In Karmic the Login Window Preferences option from the GNOME System ->
> Preferences menu is missing. I'm no longer able to configure gdm
> graphically. Something I was able to do until recently and in Jaunty.
> ------------
> The new gdm :
> - discussion have started during the hardy uds 1.5 year ago
> - the new gdm has been accepted upstream by GNOME and used for over a year
> in several other distributions
> - the ubuntu team decided to wait on the change because of the known issues
> - the new version was available since jaunty in the ubuntu-desktop ppa and
> call for testing have been made
> - the change has been decided this cycle because karmic had technologies
> changes in view of the lts coming next cycle, it's better to use recent and
> maintainer codebases there
> - the canonical desktop team spent time this cycle writing a gdmsetup tool
> and fixing several issues in the new gdm version
> It's not perfect yet but is expected to be improved.
> Thanks for your patience!
> -------------
> The changes are due to an upstream [Gnome] update , which was blocked in
> Ubuntu for 3 cycles .
> Any further discussions regarding lack of features can be discussed >
> https://bugzilla.gnome.org/show_bug.cgi?id=587750 or users can open new
> bugs regarding the missing features.
>
> To unsubscribe from this bug, ...

Read more...

Changed in gdm:
status: New → Confirmed
Changed in gdm:
status: Confirmed → Won't Fix
Changed in gdm:
importance: Unknown → Low
Munchkinguy (10068660) wrote :

This bug is marked as "fix released", but in Ubuntu Natty there is no Login Window Preferences tool. Where can I get it?

Mark W (jedimark64) wrote :

Don't bother.. Ubuntu's primary desktop teams current focus apparently does not include users smarter than a catfish. If you have an IQ of higher than 5, this desktop is not designed for you. (It's not just Ubuntu at fault here, Gnome team has had a role in this dumbing down behaviour too, even prior to 3.0 & Shell)

Sebastian Bacher: Nothing to do specifically with this bug per se, but must you ALWAYS be a total arrogant douche-bag towards users who have genuine concerns and problems? Lighten up and learn to relate to users! I've been watching your responses over the past few years, and I seriously am beginning to suspect you are on Microsoft's payroll, on a hell-bent mission to destroy Linux.

Me? Oh yeah, I can certainly be a douche too sometimes.. But I'm not one with any authority or influence to screw Ubuntu up.

I seriously hope Mr Bacher isn't also on Canonical's payroll.. If so.. no wonder things have gotten so crap.

Jeremy Bicha (jbicha) wrote :

There was a small utility (see comment #42) that was released for Ubuntu 9.10. Unfortunately, if the tool is missing in Ubuntu 11.04, it can't be fixed because new features are not added to released versions.

Ubuntu 11.10 will be using lightdm by default instead of gdm. So while you're welcome to open a bug explaining what you'd like lightdm to do, there's not as much interest or developer time to work on a graphical tool for gdm.

GDM 3 was a complete rewrite by GNOME of what used to be in Ubuntu and does not support theming. I believe LightDM allows for theming but it's so new that themes haven't really been written (no distro ships LightDM by default yet).

09 February 2013

Hi,

Saber OMRI is inviting you to join Freelancer.com

(http://www.freelancer.com/users/2072278.html?utm_campaign=new_freelancer_invite&utm_medium=email&utm_source=freelancer&utm_content=new_freelancer_invite)
Saber OMRI (http://www.freelancer.com/users/2072278.html?utm_campaign=new_freelancer_invite&utm_medium=email&utm_source=freelancer&utm_content=new_freelancer_invite)

9 February 2013

Freelancer.com is the world's largest micro-outsourcing site. We have over 7,006,272 registered professionals ready to bid on your jobs and produce high quality work.
The average job is under $200 USD and you can outsource anything, whether you need web design, graphic design, marketing or sales. Turbocharge your business today!
Looking for work? We also have the largest network of employers ready to hire just about any skill set.
Join Freelancer.com (http://www.freelancer.com/friend-invitation/join.php?id=10082768&utm_campaign=new_freelancer_invite&utm_medium=email&utm_source=freelancer&utm_content=new_freelancer_invite) <email address hidden> was invited to join Freelancer.com by Saber OMRI.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.